Sql Pools - Create
Create SQL pool
Create a SQL pool
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Synapse/workspaces/{workspaceName}/sqlPools/{sqlPoolName}?api-version=2021-06-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
sql
|
path | True |
string |
SQL pool name |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
workspace
|
path | True |
string |
The name of the workspace. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| location | True |
string |
The geo-location where the resource lives |
| properties.collation |
string |
Collation mode |
|
| properties.createMode |
Specifies the mode of sql pool creation. Default: regular sql pool creation. PointInTimeRestore: Creates a sql pool by restoring a point in time backup of an existing sql pool. sourceDatabaseId must be specified as the resource ID of the existing sql pool, and restorePointInTime must be specified. Recovery: Creates a sql pool by a geo-replicated backup. sourceDatabaseId must be specified as the recoverableDatabaseId to restore. Restore: Creates a sql pool by restoring a backup of a deleted sql pool. SourceDatabaseId should be the sql pool's original resource ID. SourceDatabaseId and sourceDatabaseDeletionDate must be specified. |
||
| properties.maxSizeBytes |
integer (int64) |
Maximum size in bytes |
|
| properties.provisioningState |
string |
Resource state |
|
| properties.recoverableDatabaseId |
string |
Backup database to restore from |
|
| properties.restorePointInTime |
string (date-time) |
Snapshot time to restore |
|
| properties.sourceDatabaseDeletionDate |
string (date-time) |
Specifies the time that the sql pool was deleted |
|
| properties.sourceDatabaseId |
string |
Source database to create from |
|
| properties.storageAccountType |
The storage account type used to store backups for this sql pool. |
||
| sku |
Sku |
||
| tags |
object |
Resource tags. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| 202 Accepted |
Accepted |
|
| 404 Not Found | ||
| Other Status Codes |
Examples
Create a SQL Analytics pool
Sample request
PUT https://management.azure.com/subscriptions/01234567-89ab-4def-0123-456789abcdef/resourceGroups/ExampleResourceGroup/providers/Microsoft.Synapse/workspaces/ExampleWorkspace/sqlPools/ExampleSqlPool?api-version=2021-06-01
{
"tags": {},
"sku": {
"tier": "",
"name": ""
},
"location": "Southeast Asia",
"properties": {
"maxSizeBytes": 0,
"collation": "",
"sourceDatabaseId": "",
"recoverableDatabaseId": "",
"createMode": "",
"storageAccountType": "LRS"
}
}
Sample response
{
"id": "/subscriptions/01234567-89ab-4def-0123-456789abcdef/resourceGroups/ExampleResourceGroup/providers/Microsoft.Synapse/workspaces/ExampleWorkspaces/sqlPools/ExampleSqlPool",
"type": "Microsoft.Synapse/workspaces/sqlPools",
"name": "ExampleSqlPool",
"location": "Southeast Asia",
"tags": {},
"sku": {
"tier": "",
"name": ""
},
"properties": {
"maxSizeBytes": 0,
"collation": "",
"recoverableDatabaseId": "",
"provisioningState": "Provisioning",
"status": "Paused",
"restorePointInTime": "1970-01-01T00:00:00.000Z",
"creationDate": "1970-01-01T00:00:00.000Z",
"storageAccountType": "LRS"
}
}
{
"error": {
"code": "Error code",
"message": "Error message"
}
}
Definitions
| Name | Description |
|---|---|
|
create |
Specifies the mode of sql pool creation. Default: regular sql pool creation. PointInTimeRestore: Creates a sql pool by restoring a point in time backup of an existing sql pool. sourceDatabaseId must be specified as the resource ID of the existing sql pool, and restorePointInTime must be specified. Recovery: Creates a sql pool by a geo-replicated backup. sourceDatabaseId must be specified as the recoverableDatabaseId to restore. Restore: Creates a sql pool by restoring a backup of a deleted sql pool. SourceDatabaseId should be the sql pool's original resource ID. SourceDatabaseId and sourceDatabaseDeletionDate must be specified. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
| Sku |
Sku |
|
Sql |
SQL pool |
|
Storage |
The storage account type used to store backups for this sql pool. |
createMode
Specifies the mode of sql pool creation.
Default: regular sql pool creation.
PointInTimeRestore: Creates a sql pool by restoring a point in time backup of an existing sql pool. sourceDatabaseId must be specified as the resource ID of the existing sql pool, and restorePointInTime must be specified.
Recovery: Creates a sql pool by a geo-replicated backup. sourceDatabaseId must be specified as the recoverableDatabaseId to restore.
Restore: Creates a sql pool by restoring a backup of a deleted sql pool. SourceDatabaseId should be the sql pool's original resource ID. SourceDatabaseId and sourceDatabaseDeletionDate must be specified.
| Value | Description |
|---|---|
| Default | |
| PointInTimeRestore | |
| Recovery | |
| Restore |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
Sku
Sku
| Name | Type | Description |
|---|---|---|
| capacity |
integer (int32) |
If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted. |
| name |
string |
The SKU name |
| tier |
string |
The service tier |
SqlPool
SQL pool
| Name | Type | Default value | Description |
|---|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
|
| location |
string |
The geo-location where the resource lives |
|
| name |
string |
The name of the resource |
|
| properties.collation |
string |
Collation mode |
|
| properties.createMode |
Specifies the mode of sql pool creation. Default: regular sql pool creation. PointInTimeRestore: Creates a sql pool by restoring a point in time backup of an existing sql pool. sourceDatabaseId must be specified as the resource ID of the existing sql pool, and restorePointInTime must be specified. Recovery: Creates a sql pool by a geo-replicated backup. sourceDatabaseId must be specified as the recoverableDatabaseId to restore. Restore: Creates a sql pool by restoring a backup of a deleted sql pool. SourceDatabaseId should be the sql pool's original resource ID. SourceDatabaseId and sourceDatabaseDeletionDate must be specified. |
||
| properties.creationDate |
string (date-time) |
Date the SQL pool was created |
|
| properties.maxSizeBytes |
integer (int64) |
Maximum size in bytes |
|
| properties.provisioningState |
string |
Resource state |
|
| properties.recoverableDatabaseId |
string |
Backup database to restore from |
|
| properties.restorePointInTime |
string (date-time) |
Snapshot time to restore |
|
| properties.sourceDatabaseDeletionDate |
string (date-time) |
Specifies the time that the sql pool was deleted |
|
| properties.sourceDatabaseId |
string |
Source database to create from |
|
| properties.status |
string |
Resource status |
|
| properties.storageAccountType | GRS |
The storage account type used to store backups for this sql pool. |
|
| sku |
Sku |
||
| tags |
object |
Resource tags. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
StorageAccountType
The storage account type used to store backups for this sql pool.
| Value | Description |
|---|---|
| GRS | |
| LRS |